mod port;

use serial;
use utilities::prelude::*;

use port::{Port, PortSettings};

fn main() -> VerboseResult<()> {
    let settings = PortSettings {
        baud_rate: serial::Baud9600,
        char_size: serial::Bits8,
        parity: serial::ParityNone,
        stop_bits: serial::Stop1,
        flow_control: serial::FlowNone,
    };

    let port = Port::open("/dev/macroboard/tty00000000", settings)?;

    loop {
        if let Ok(msg) = port.read() {
            println!("{}", msg);
        }
    }
}
